﻿<?xml version="1.0"?>
<configuration>
  <appSettings/>

  <connectionStrings>
    <!--<add name="WEB_PORTAL_DB" connectionString="Server=10.16.20.230;Database=WEB_PORTAL_DB;User ID=K2;Password=K2pass!;Trusted_Connection=false;"/>-->
    <add name="WEB_PORTAL_DB" connectionString="Server=10.16.20.230;Database=WEB_PORTAL_DB;User ID=K2;Password=K2pass!;Trusted_Connection=false;"/>
    <!-- TMMIN DB -->
    <add name="TMMIN_ROLE"  providerName="System.Data.SqlClient" connectionString="Server=10.16.20.230;Database=TMMIN_ROLE;User ID=K2;Password=K2pass!;Trusted_Connection=false;"/>
    <add name="COMMON_MASTER" providerName="System.Data.SqlClient" connectionString="Server=10.16.20.230;Database=COMMON_MASTER_DB;User ID=K2;Password=K2pass!;Trusted_Connection=false;"/>
    <add name="PCS"  providerName="System.Data.SqlClient" connectionString="Server=10.16.20.230;Database=PCS_DB;User ID=K2;Password=K2pass!;Trusted_Connection=false;"/>
    <add name="SCP" providerName="System.Data.SqlClient"  connectionString="Server=10.16.20.230;Database=SCP_DB;User ID=K2;Password=K2pass!;Trusted_Connection=false;"/>
    <add name="SAP_DBConnectionString" connectionString="Data Source=10.16.20.230;Initial Catalog=SAP_DB;Persist Security Info=True;User ID=K2;Password=K2pass!;MultipleActiveResultSets=True;Application Name=EntityFramework" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <system.web>
    <!--Configure ASP.NET State Server-->
    <sessionState mode="StateServer" stateConnectionString="tcpip=localhost:42424" />
    <machineKey validationKey="FB2ACD1591D4A6721FF960BBB4CAE375EA3B34417CA211DAE162CC838D4BBD5B6847161E3B675155FDCB960380264247D2D3EFCDFA28A6232C7FCE78DD4F1A2A" decryptionKey="25807A06FC439A39095D94DD77EB6B5784D995E9416554FF140D256F4E78ED4F" validation="SHA1" decryption="AES" />    
    <compilation debug="true" targetFramework="4.0"/>
    <!--
      The <authentication> section enables configuration 
      of the security authentication mode used by 
      ASP.NET to identify an incoming user. 
    -->
    <authentication mode="Windows"/>
    <!--
       The <customErrors> section enables configuration 
       of what to do if/when an unhandled error occurs 
       during the execution of a request. Specifically, 
       it enables developers to configure html error pages 
       to be displayed in place of a error stack trace.

       <customErrors mode="RemoteOnly" defaultRedirect="GenericErrorPage.htm">
         <error statusCode="403" redirect="NoAccess.htm" />
         <error statusCode="404" redirect="FileNotFound.htm" />
       </customErrors>
    -->
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID"/>
  </system.web>
  <!-- 
        The system.webServer section is required for running ASP.NET AJAX under Internet
        Information Services 7.0.  It is not necessary for previous version of IIS.
    -->
</configuration>